SectorList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class SectorList

    java.lang.Object
      com.fenalco.entities.SectorList

    public class SectorList

extends java.lang.Object

Author:
  Juan Ernesto Peña Kaltekis

Field Summary
`private java.util.Vector` | `sectors` Este `Hashtable` agrupa los objetos del tipo `Sector` que conforman el listado, está diseñado de la siguiente forma: key: id de la sección`sectorId` value: Objeto del tipo `Sector`

Constructor Summary
`SectorList()` Constructor por defecto de la clase

Method Summary
`java.util.Vector` | `getSectors()` Consultor para el atributo sections.
`boolean` | `loadData()` Este método carga de base de datos todos los registros de la tabla seccion en el atributo sections.
`void` | `setSectors(java.util.Vector sectors)` Modificador para el atributo sections.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sectors

    private java.util.Vector sectors

  Este `Hashtable` agrupa los objetos del tipo `Sector` que conforman el listado, está diseñado de la siguiente forma: key: id de la sección`sectorId` value: Objeto del tipo `Sector`

Constructor Detail

### SectorList

    public SectorList()

  Constructor por defecto de la clase

Method Detail

### loadData

    public boolean loadData()

  Este método carga de base de datos todos los registros de la tabla seccion en el atributo sections.

### getSectors

    public java.util.Vector getSectors()

  Consultor para el atributo sections.

  Returns:
    Valor del atributo sections.

### setSectors

    public void setSectors(java.util.Vector sectors)

  Modificador para el atributo sections.

  Parameters:
    `sections` - Nuevo valor del atributo sections.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD